Package org.eclipse.emf.cdo.server.db.mapping

# Interface IClassMappingUnitSupport

All Superinterfaces:
  `IClassMapping`

public interface IClassMappingUnitSupport extends IClassMapping
An extension interface for `class mappings` that support units.

Since:
  4.4
Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`void`
`readUnitRevisions(IDBStoreAccessor accessor, CDOBranchPoint branchPoint, CDOID rootID, CDORevisionHandler revisionHandler)`

### Methods inherited from interface org.eclipse.emf.cdo.server.db.mapping.IClassMapping

`createObjectIDStatement, createResourceQueryStatement, detachObject, getDBTables, getEClass, getFeatureMapping, getListMapping, getListMappings, getTable, getValueMapping, getValueMappings, handleRevisions, isMapped, queryXRefs, readChangeSet, readRevision, writeRevision`

## Method Details

### readUnitRevisions

void readUnitRevisions(IDBStoreAccessor accessor, CDOBranchPoint branchPoint, CDOID rootID, CDORevisionHandler revisionHandler) throws SQLException

Throws:
  `SQLException`